* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    background-image: linear-gradient(120deg, #8EC5FC, #E0C3FC);
    color: white;
    font-family: sans-serif;
    min-height: 100vh;
}

/*---------- header -----------*/

header{
    font-size: 1.3rem;
}
header, form{
    min-height: 15vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
form input, 
form button {
    padding: 0.5rem;
    font-size: 2rem;
    border: none;
    background: white;
}
form button{
    color: #8EC5FC;
    background: white;
    cursor: pointer;
    transition: all 0.3s ease;
}
form button:hover{
    background: #8EC5FC;
    color: white;
}
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    outline: none;
    border: none;
}
.select{
    margin: 1rem;
    position: relative;
    overflow: hidden;
}
.select::after{
    content: "\25BC";
    position: absolute;
    color: #72b0ee;
    top: 0;
    right: 0;
    padding: 1rem;
    pointer-events: none;
    transition: all 0.3s ease;
}
.select:hover::after {
    background: #72b0ee;
    color: white;
}
select {
    color: #72b0ee;
    width: 10rem;
    cursor: pointer;
    padding: 1rem;
}

/*------------ todo-list -----------*/

.todo-container {
    display: flex;
    justify-content: center;
    align-items: center;
}
.todo-list {
    min-width: 30%;
    list-style: none;
}
.todo{
    margin: 0.5rem;
    background: white;
    color: black;
    font-size: 1.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: all 0.5s ease;
}
.todo li{
    flex: 1;
    padding: 00.5rem;
}
.trash-btn,
.complete-btn {
    background: #72b0ee;
    color: white;
    border: none;
    padding: 1rem;
    cursor: pointer;
    font-size: 1rem;
}
.complete-btn{
    background: rgb(130, 235, 130);
}
.todo-item{
    padding: 0rem 0.5rem;
}
.fa-trash,
.fa-check {
    pointer-events: none;
}
.completed {
    text-decoration: line-through;
    opacity: 0.5;
}
.fall{
    transform: translateY(8rem) rotateZ(20deg);
    opacity: 0;
}


